package com.elephant.framework.galaxy.aroad.module.zhjc.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGljcRlzyb;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGljcRlzybService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;

import java.util.List;


/**
 * 人力资源表
 *
 * @author wangjian
 * @date 2019-04-03 15:29:21
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjc/gljcrlzyb")
public class ZhjcGljcRlzybController extends BaseController  {

  private final  ZhjcGljcRlzybService zhjcGljcRlzybService;

  /**
   * 分页查询
   * @param page 分页对象
   * @param zhjcGljcRlzyb 人力资源表
   * @return
   */
  @GetMapping("/page")
  public R getZhjcGljcRlzybPage(Page page, ZhjcGljcRlzyb zhjcGljcRlzyb) {
    return  new R<>(zhjcGljcRlzybService.page(page,Wrappers.query(zhjcGljcRlzyb)));
  }

  /**
   * 根据zw(职位)分页查询对应的人力资源数据
   * @param page
   * @param zw
   * @return
   */
  @GetMapping("/getDataByZwAndPage")
  public IPage<List<ZhjcGljcRlzyb>> getRlzyDataGetZw(Page page, String zw){
      System.out.println("page :"+page);
      System.out.println("zw :"+zw);
      return  zhjcGljcRlzybService.getRlzyDataGetZw(page,zw);
  }

  /**
   * 通过id查询人力资源表
   * @param id id
   * @return R
   */
  @GetMapping("/{id}")
  public R getById(@PathVariable("id") String id){
    return new R<>(zhjcGljcRlzybService.getById(id));
  }

  /**
   * 新增人力资源表
   * @param zhjcGljcRlzyb 人力资源表
   * @return R
   */
  @SysLog("新增人力资源表")
  @PostMapping
  public R save(@RequestBody ZhjcGljcRlzyb zhjcGljcRlzyb){
    return new R<>(zhjcGljcRlzybService.save(zhjcGljcRlzyb));
  }

  /**
   * 修改人力资源表
   * @param zhjcGljcRlzyb 人力资源表
   * @return R
   */
  @SysLog("修改人力资源表")
  @PutMapping
  public R updateById(@RequestBody ZhjcGljcRlzyb zhjcGljcRlzyb){
    return new R<>(zhjcGljcRlzybService.updateById(zhjcGljcRlzyb));
  }

  /**
   * 通过id删除人力资源表
   * @param id id
   * @return R
   */
  @SysLog("删除人力资源表")
  @DeleteMapping("/{id}")
  public R removeById(@PathVariable String id){
    return new R<>(zhjcGljcRlzybService.removeById(id));
  }

}
